.header__container {
  width: 100%;
  height: auto;
  top: 10rem;
}

.header__container_nav_wrapper {
  width: 100%;
  height: 90px;
  background-color: var(--nav-bg-color);
  position: fixed;
  display: flex;
  align-items: center;
  padding-left: 5rem;
}

.header__container_nav_content {
  width: fit-content;
  height: fit-content;
}

.header__container_nav_content > h2{
  font-size: 24px;
  color: #fff
}

.header__container_burger {
  width: 40px;
  height: 40px;
  background-color: #ffff;
}

.menu-wrap {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
}

.menu-wrap .toggler {
  position: absolute;
  top: 25px;
  left: 20px;
  z-index: 2;
  cursor: pointer;
  width: 50px;
  height: 50px;
  opacity: 0;
}

.menu-wrap .hamburger {
  position: absolute;
  top: 25px;
  left: 20px;
  z-index: 1;
  width: 40px;
  height: 40px;
  padding: .1rem;
  background: #fff;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Hamburger Line */
.menu-wrap .hamburger > div {
  position: relative;
  flex: none;
  width: 20px;
  height: 3px;
  background: var(--nav-bg-color);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.4s ease;
  margin: -2px 0;
  border-radius: 7.5px;
}

/* Hamburger Lines - Top & Bottom */
.menu-wrap .hamburger > div::before,
.menu-wrap .hamburger > div::after {
  content: '';
  position: absolute;
  z-index: 1;
  top: 7px;
  width: inherit;
  height: 3px;
  background: inherit;
  border-radius: 7.5px;
}

/* Moves Line Down */
.menu-wrap .hamburger > div::after {
  top: -7px;
}

/* Toggler Animation */
.menu-wrap .toggler:checked + .hamburger > div {
  transform: rotate(135deg);
}

/* Turns Lines Into X */
.menu-wrap .toggler:checked + .hamburger > div:before,
.menu-wrap .toggler:checked + .hamburger > div:after {
  top: 0;
  transform: rotate(90deg);
  background: #373851
}

.menu-wrap .toggler:checked + .hamburger{
  background: #DBFF00;
}

/* Rotate On Hover When Checked */
.menu-wrap .toggler:checked:hover + .hamburger > div {
  transform: rotate(225deg);
  background: #373851
}

/* Show Menu */
.menu-wrap .toggler:checked ~ .menu {
  visibility: visible;
}

.menu-wrap .toggler:checked ~ .menu > div {
  transform: scale(1);
  transition-duration: var(--menu-speed);
}

.menu-wrap .toggler:checked ~ .menu > div > div {
  opacity: 1;
  transition:  opacity 0.4s ease 0.4s;
}

.menu-wrap .menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  visibility: hidden;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(124, 144, 156, 0.8);
  backdrop-filter: blur(14px);
}

.menu-wrap .menu > div {
  background: var(--overlay-color);
  border-radius: 50%;
  width: 200vw;
  height: 200vw;
  display: flex;
  flex: none;
  justify-content: center;
  align-items: center;
  transform: scale(0);
  transition: all 0.4s ease;
}

.menu-wrap .menu > div > div {
  text-align: center;
  max-width: 90vw;
  max-height: 100vh;
  opacity: 0;
  transition: opacity 0.4s ease;
}

.menu-wrap .menu > div > div > ul > li {
  list-style: none;
  color: #fff;
  font-size: 1.5rem;
  padding: 1rem;
  font-family: var(--secondary-font) !important;
  margin-top: 0 !important
}

.menu-wrap .menu > div > div > ul > li:before {
  content: "" !important;
}

.menu-wrap .menu > div > div > ul > li > a {
  color: inherit;
  text-decoration: none;
  transition: color 0.4s ease;
}

.menu-wrap .menu > div > div > ul > li > a:active{
  color: #DBFF00;
}



.header__container_nav_button {
  background-color: white;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  z-index: 2000;
  position: relative;
  box-shadow: 0 1rem 3rem black;
  text-align: center;
  cursor: pointer;
}

.header__container_nav_button:hover icon:before {
  top: -1rem;
}
.header__container_nav_button:hover icon::after {
  top: 1rem;
}

.checkbox:checked ~ .backdrop {
  transform: scale(80);
}
.checkbox:checked ~ .header__container_nav {
  opacity: 1;
  width: 100%;
  left: 0;
}

.checkbox {
  display: none;
}

.checkbox:checked + .header__container_nav_button .icon {
  background-color: transparent;
}

.checkbox:checked + .header__container_nav_button .icon::before {
  top: 0;
  transform: rotate(135deg);
}
.checkbox:checked + .header__container_nav_button .icon::after {
  top: 0;
  transform: rotate(-135deg);
}

.header__container_nav {
  height: 100vh;
  top: 0;
  left: 0;
  z-index: 1500;
  width: 0;
  opacity: 0;
  transition: all 0.8s;
}

.header__container_nav_list {
  /* top: 50%; */
  left: 0;
  list-style: none;
  text-align: center;
  width: 100%;
}

.header__container_nav_item {
  font-size: 24px;
}

.header__container_header{
  width: 100%;
  height: 500px;
  background-color: var(--header-bg-color);
  padding-top: 2rem;
}

.header__container_header_desktop{
  width: 100%;
  height: auto;
  background-color: var(--header-bg-color);
}

.header__container_logo{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 1rem;
  margin-bottom: 1rem;
}

.header__container_map{
  background: center/contain url("../assets/img/map.png") no-repeat;
  width: 100%;
  height: 280px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-direction: column;
}

.header__container_map_desktop{
  background: bottom/cover url("../assets/img/map.png") no-repeat;
  width: 100%;
  height: 300px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-direction: column;
}

.header__container_map > h2{
  color: #fff;
  margin-top: 3rem;
}

.header__container_nav_desktop{
  width: 100%;
  justify-content: space-evenly;
  align-items: center;
  background-color: var(--nav-bg-color);
  width: 100%;
  height: 90px;
}

.header__container_nav_desktop a{
  font-family: var(--secondary-font);
  color: #435967;
  text-decoration: none;
}

.header__container_nav_desktop a:not(.active):hover {
  color: #ffffff;
}
